package com.bocloud.nms.model.veeam;

import java.util.List;

public class MGRRestorePointDetailModel {

    private List<LinkModel> Links;
    private String CreationTimeUTC;
    private String Algorithm;
    private String PointType;
    private String HierarchyObjRef;
    private String SqlInfo;
    private String VmDisplayName;
    private String Name;
    private String UID;
    private String Href;
    private String Type;

    public List<LinkModel> getLinks() {
        return Links;
    }

    public void setLinks(List<LinkModel> links) {
        Links = links;
    }

    public String getCreationTimeUTC() {
        return CreationTimeUTC;
    }

    public void setCreationTimeUTC(String creationTimeUTC) {
        CreationTimeUTC = creationTimeUTC;
    }

    public String getAlgorithm() {
        return Algorithm;
    }

    public void setAlgorithm(String algorithm) {
        Algorithm = algorithm;
    }

    public String getPointType() {
        return PointType;
    }

    public void setPointType(String pointType) {
        PointType = pointType;
    }

    public String getHierarchyObjRef() {
        return HierarchyObjRef;
    }

    public void setHierarchyObjRef(String hierarchyObjRef) {
        HierarchyObjRef = hierarchyObjRef;
    }

    public String getSqlInfo() {
        return SqlInfo;
    }

    public void setSqlInfo(String sqlInfo) {
        SqlInfo = sqlInfo;
    }

    public String getVmDisplayName() {
        return VmDisplayName;
    }

    public void setVmDisplayName(String vmDisplayName) {
        VmDisplayName = vmDisplayName;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getUID() {
        return UID;
    }

    public void setUID(String UID) {
        this.UID = UID;
    }

    public String getHref() {
        return Href;
    }

    public void setHref(String href) {
        Href = href;
    }

    public String getType() {
        return Type;
    }

    public void setType(String type) {
        Type = type;
    }

    @Override
    public String toString() {
        return "MGRRestorePointDetailModel{" +
                "Links=" + Links +
                ", CreationTimeUTC='" + CreationTimeUTC + '\'' +
                ", Algorithm='" + Algorithm + '\'' +
                ", PointType='" + PointType + '\'' +
                ", HierarchyObjRef='" + HierarchyObjRef + '\'' +
                ", SqlInfo='" + SqlInfo + '\'' +
                ", VmDisplayName='" + VmDisplayName + '\'' +
                ", Name='" + Name + '\'' +
                ", UID='" + UID + '\'' +
                ", Href='" + Href + '\'' +
                ", Type='" + Type + '\'' +
                '}';
    }
}
